
GammaLib - Action #1855

Add GSkyDir::moon() method

09/28/2016 06:50 PM - Knödlseder Jürgen

Status: Closed Start date: 09/28/2016

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.7.0   

Description

A moon(const GTime& time) method should be added to the GSkyDir class that returns the position of the moon for a given time with

an accuracy sufficient for gamma-ray astronomy (see #1854 for a corresponding method for the Sun position).

History

#1 - 07/08/2019 10:50 AM - Knödlseder Jürgen

- Target version set to 1.7.0

#2 - 11/14/2019 12:07 AM - Knödlseder Jürgen

- File Moon_position_difference.png added

- File test_moon_ephem.py added

- Status changed from New to Pull request

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

The method has been implemented inspired by the IDL code moonpos.pro, see https://github.com/awmann/amObserve/blob/master/moonpos.pro. A

note on the computation method can be found at https://ntomasse.web.cern.ch/Notes/tomassetti_ams02algorithms.pdf.

I used the script attachment:test_moon_ephem.py to compare the Moon position computed using GSkyDir::moon() to the one computed using

PyEphem, the results are shown below for the period 2000 - 2050. Overall the accuracy is quite good, but becomes worse at the end of the period.

However, it never becomes worse than 1 arcmin, which should be okay for gamma-ray astronomy.

 

#3 - 11/14/2019 07:15 AM - Knödlseder Jürgen

- Status changed from Pull request to Closed

Merged into devel.

Files

Moon_position_difference.png 110 KB 11/13/2019 Knödlseder Jürgen

test_moon_ephem.py 3.55 KB 11/13/2019 Knödlseder Jürgen
